Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SString.cpp File Reference

`#include "ace/Malloc.h"`
`#include "ace/SString.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/streams.h"`

Include dependency graph for SString.cpp:

## Functions
const char * | get_rcsid_ace_SString (const char *)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_CString &cs)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_WString &ws)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_SString &ss)
## Variables
const char * | rcsid_ace_SString = get_rcsid_ace_SString ( rcsid_ace_SString )

## Function Documentation

const char* get_rcsid_ace_SString | ( | const char * |  | ) | `[inline, static]`

ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_SString & | ss
| ) |

ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_WString & | ws
| ) |

ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_CString & | cs
| ) |

## Variable Documentation

const char* rcsid_ace_SString = get_rcsid_ace_SString ( rcsid_ace_SString )`[static]`